[CentOS] Balsa for CentOS ??

fred smith fredex at fcshome.stoneham.ma.us
Thu Oct 11 03:13:37 UTC 2007


On Wed, Oct 10, 2007 at 08:05:32PM -0700, mark pryor wrote:
> 
> 
> fred smith <fredex at fcshome.stoneham.ma.us> wrote: Anybody know where I can find a RPM of a recent version of Balsa for
> RH5 or Centos 5? Dag, et al, don't seem to have it.
> 
>  
> Fred,
> 
> I looked into building the version from the FC6 extras repo. My build box is KDE, but ideally one needs a Gnome devel box to build balsa. 
> 
> Do you want it for i386 or x86_64? Is there anything special about your env.?
> On further info I might go ahead and build it.

I'm on a 32-bit x86 (Athlon) system, so if you do bother to build it
that's the one I'd like.

I grabbed the latest source tarball (where'd you find the src.rpm??) from
the balsa web page, and it quickly blew up (in ./configure) because of
missing dependencies. It seems to want different versions of some of 
the libs I've already got.

Thanks for replying, and please let me know if you get anywhere with
the build.

Fred
> 
> My first cut at the dependencies got this
> 
> ------------------------ 1st build attempt ------------------
> [tlviewer at centos balsa]$ rpmbuild --sign --rebuild --define 'dist .el5' balsa-2.3.20-1.fc6.src.rpm
> Enter pass phrase:
> Pass phrase is good.
> Installing balsa-2.3.20-1.fc6.src.rpm
> warning: InstallSourcePackage: Header V3 DSA signature: NOKEY, key ID 1ac70ce6
> warning: user mockbuild does not exist - using root
> warning: group mockbuild does not exist - using root
> warning: user mockbuild does not exist - using root
> warning: group mockbuild does not exist - using root
> error: Failed build dependencies:
>         aspell-devel is needed by balsa-2.3.20-1.el5.x86_64
>         gmime-devel is needed by balsa-2.3.20-1.el5.x86_64
>         gnome-vfs2-devel is needed by balsa-2.3.20-1.el5.x86_64
>         gtkhtml2-devel is needed by balsa-2.3.20-1.el5.x86_64
>         gtkspell-devel is needed by balsa-2.3.20-1.el5.x86_64
>         intltool is needed by balsa-2.3.20-1.el5.x86_64
>         libesmtp-devel >= 1.0.4 is needed by balsa-2.3.20-1.el5.x86_64
>         libgnome-devel is needed by balsa-2.3.20-1.el5.x86_64
>         libgnomeprint22-devel is needed by balsa-2.3.20-1.el5.x86_64
>         libgnomeprintui22-devel is needed by balsa-2.3.20-1.el5.x86_64
>         libgnomeui-devel is needed by balsa-2.3.20-1.el5.x86_64
>         libnotify-devel is needed by balsa-2.3.20-1.el5.x86_64
> -------------------------- end snip ------------------------------
> 
> -------------------------- missing packages -------------
> Dependencies Resolved
> 
> =============================================================================
>  Package                 Arch       Version          Repository        Size
> =============================================================================
> Installing:
>  aspell-devel            i386       12:0.60.3-7.1    base               39 k
>  aspell-devel            x86_64     12:0.60.3-7.1    base               38 k
>  gmime-devel             x86_64     2.2.4-1.el5.rf   rpmforge          307 k
>  gtkhtml2-devel          x86_64     2.11.0-3         base               43 k
>  gtkhtml2-devel          i386       2.11.0-3         base               43 k
>  gtkspell-devel          i386       2.0.11-2.1       base               17 k
>  gtkspell-devel          x86_64     2.0.11-2.1       base               18 k
>  libgnome-devel          i386       2.16.0-6.el5     base               73 k
>  libgnome-devel          x86_64     2.16.0-6.el5     base               73 k
>  libgnomeprint22-devel   x86_64     2.12.1-9.el5     base               87 k
>  libgnomeprint22-devel   i386       2.12.1-9.el5     base               88 k
>  libgnomeprintui22-devel  i386       2.12.1-6         base              147 k
>  libgnomeprintui22-devel  x86_64     2.12.1-6         base              158 k
>  libgnomeui-devel        i386       2.16.0-5.el5     base              295 k
>  libgnomeui-devel        x86_64     2.16.0-5.el5     base              295 k
>  libnotify-devel         x86_64     0.4.2-6.el5      base               19 k
>  libnotify-devel         i386       0.4.2-6.el5      base               19 k
> Installing for dependencies:
>  GConf2-devel            x86_64     2.14.0-9.el5     base               93 k
>  ORBit2-devel            x86_64     2.14.3-4.el5     base              387 k
>  dbus-glib-devel         x86_64     0.70-5           base               10 k
>  gail                    i386       1.9.2-1.fc6      base              353 k
>  gail-devel              x86_64     1.9.2-1.fc6      base               19 k
>  ghostscript-fonts       noarch     5.50-13.1.1      base              801 k
>  gnome-keyring-devel     x86_64     0.6.0-1.fc6      base               25 k
>  gnome-vfs2-devel        x86_64     2.16.2-4.el5     base              482 k
>  gtkhtml2                i386       2.11.0-3         base              185 k
>  hal-devel               x86_64     0.5.8.1-19.el5   base               26 k
>  libIDL-devel            x86_64     0.8.7-1.fc6      base               17 k
>  libbonobo-devel         x86_64     2.16.0-1.fc6     base              503 k
>  libbonoboui-devel       x86_64     2.16.0-1.fc6     base              198 k
>  libgnomecanvas-devel    x86_64     2.14.0-4.1       base               74 k
>  libgnomecups            i386       0.2.2-8          base               73 k
>  libgnomeprint22         x86_64     2.12.1-9.el5     base              406 k
>  libgnomeprint22         i386       2.12.1-9.el5     base              396 k
>  libgnomeprintui22       x86_64     2.12.1-6         base              318 k
>  libgnomeprintui22       i386       2.12.1-6         base              318 k
> 
> Transaction Summary
> =============================================================================
> Install     36 Package(s)
> Update       0 Package(s)
> Remove       0 Package(s)
> 
> Total download size: 6.3 M
> Is this ok [y/N]: N
> Exiting on user Command
> Complete!
> ------------------------------------------ end snip ---------------------------
> 
>        
> ---------------------------------
> Catch up on fall's hot new shows on Yahoo! TV.  Watch previews, get listings, and more!
> _______________________________________________
> CentOS mailing list
> CentOS at centos.org
> http://lists.centos.org/mailman/listinfo/centos


-- 
---- Fred Smith -- fredex at fcshome.stoneham.ma.us -----------------------------
                      The eyes of the Lord are everywhere, 
                    keeping watch on the wicked and the good.
----------------------------- Proverbs 15:3 (niv) -----------------------------
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 189 bytes
Desc: not available
Url : http://lists.centos.org/pipermail/centos/attachments/20071010/24254196/attachment.bin


More information about the CentOS mailing list